ElementHandlerBase
Date: 2016-07-03

com.icl.saxon.handlers

## Class ElementHandlerBase

- java.lang.Object
- - com.icl.saxon.handlers.ElementHandler
  - - com.icl.saxon.handlers.ElementHandlerBase

- All Implemented Interfaces:
    NodeHandler

      public class ElementHandlerBase
      extends ElementHandler

  This class is the default element handler from which user-defined element handlers can inherit. It is provided for convenience: use is optional. The individual methods of the default element handler do nothing with the content; in a subclass it is therefore only necessary to implement those methods that need to do something specific.

  The startElement() method calls applyTemplates(), so child elements will always be processed.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementHandlerBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `needsStackFrame()` Optimization hint to allow a handler to declare that it needs no stack space for local variables and parameters
    `void` | `start(NodeInfo node, Context context)` implement start() method
    `void` | `startElement(NodeInfo e, Context context)` Define action to be taken before an element of this element type. Default implementation does nothing, other than causing subordinate elements to be processed in the same mode as the caller

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementHandlerBase

          public ElementHandlerBase()

  - ### Method Detail

    - #### start

          public void start(NodeInfo node,
                   Context context)
                     throws javax.xml.transform.TransformerException

      implement start() method
      Specified by:
        `start` in interface `NodeHandler`
      Specified by:
        `start` in class `ElementHandler`
      Parameters:
        `node` - The NodeInfo object for the current node.
      Throws:
        `javax.xml.transform.TransformerException`
      See Also:
        `NodeInfo`

    - #### startElement

          public void startElement(NodeInfo e,
                          Context context)
                            throws javax.xml.transform.TransformerException

      Define action to be taken before an element of this element type.
      Default implementation does nothing, other than causing subordinate elements to be processed in the same mode as the caller
      Parameters:
        `e` - The NodeInfo object for the current element.
      Throws:
        `javax.xml.transform.TransformerException`

    - #### needsStackFrame

          public boolean needsStackFrame()

      Description copied from interface: `NodeHandler`
      Optimization hint to allow a handler to declare that it needs no stack space for local variables and parameters
      Specified by:
        `needsStackFrame` in interface `NodeHandler`
      Overrides:
        `needsStackFrame` in class `ElementHandler`